Summary:	The Universal Plug and Play (UPnP) SDK for Linux
Summary(pl.UTF-8):	Pakiet programistyczny Universal Plug and Play (UPnP) dla Linuksa
Name:		libupnp
Version:	1.14.6
Release:	2
License:	BSD
Group:		Libraries
Source0:	https://downloads.sourceforge.net/pupnp/%{name}-%{version}.tar.bz2
# Source0-md5:	05c2393eee4fbf81c9e1b116b9554039
Patch0:		%{name}-opt.patch
Patch1:		%{name}-openssl.patch
Patch2:		ithread.patch
URL:		http://pupnp.sourceforge.net/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.8
BuildRequires:	doxygen
BuildRequires:	libtool >= 2:1.5
BuildRequires:	openssl-devel >= 0.9.8b
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Linux SDK for UPnP Devices (libupnp) provides developers with an
API and open source code for building control points, devices, and
bridges that are compliant with Version 1.0 of the Universal Plug and
Play Device Architecture Specification.

%description -l pl.UTF-8
Linuksowy pakiet programistyczny dla urządzeń UPnP (libupnp) dostarcza
programistom API i kod z otwartymi źródłami służące do tworzenia
punktów kontrolnych, urządzeń i mostków kompatybilnych z wersją 1.0
specyfikacji architektury urządzeń Universal Plug and Play.

%package devel
Summary:	Header files for libupnp
Summary(pl.UTF-8):	Pliki nagłówkowe libupnp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel >= 0.9.8b
Conflicts:	libupnp1.6-devel

%description devel
This package contains header files for the Linux SDK for UPnP Devices
(libupnp).

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe dla linuksowego pakietu
programistycznego do urządzeń UPnP (libupnp).

%package static
Summary:	Static upnp libraries
Summary(pl.UTF-8):	Statyczne biblioteki upnp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Conflicts:	libupnp1.6-static

%description static
Static upnp libraries.

%description static -l pl.UTF-8
Statyczne biblioteki upnp.

%package apidocs
Summary:	API documentation for upnp libraries
Summary(pl.UTF-8):	Dokumentacja API bibliotek upnp
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for upnp libraries.

%description apidocs -l pl.UTF-8
Dokumentacja API bibliotek upnp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# LFS is required in library clients (including examples)
%{__sed} -i -e '/^Cflags/ s/$/ -D_FILE_OFFSET_BITS=64/' libupnp.pc.in
%{__sed} -i -e '/^AM_CPPFLAGS =/ s/= /= -D_FILE_OFFSET_BITS=64 /' upnp/sample/Makefile.am

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?debug:--enable-debug} \
	--enable-open-ssl \
	--disable-silent-rules
%{__make}
%{__make} -C docs docs

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog THANKS
%attr(755,root,root) %{_libdir}/libixml.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libixml.so.11
%attr(755,root,root) %{_libdir}/libupnp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libupnp.so.17

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libixml.so
%attr(755,root,root) %{_libdir}/libupnp.so
%{_libdir}/libixml.la
%{_libdir}/libupnp.la
%{_includedir}/upnp
%{_pkgconfigdir}/libupnp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libixml.a
%{_libdir}/libupnp.a

%files apidocs
%defattr(644,root,root,755)
%doc docs/doxygen/html/*.{html,js,css,png}
%changelog
* Mon Oct 04 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libupnp.git;a=log;h=master

* Mon Oct 04 2021 Jan Palus <atler@pld-linux.org> ffe2af3
- upstream fix for build failure with glibc 2.34; rel 2

* Tue Apr 20 2021 Jan Palus <atler@pld-linux.org> 1debadf
- up to 1.14.6 (security fix)

* Tue Apr 13 2021 Jan Palus <atler@pld-linux.org> 70737aa
- up to 1.14.5 (fixes CVE-2021-28302)

* Tue Mar 30 2021 Jan Palus <atler@pld-linux.org> 3a7fe77
- up to 1.14.4

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> c558e54
- unconditional noarch subpackages

* Mon Mar 01 2021 Jan Palus <atler@pld-linux.org> a1862e1
- up to 1.14.2

* Wed Feb 10 2021 Jan Palus <atler@pld-linux.org> 1d72a96
- updated noarch rule

* Wed Feb 10 2021 Jan Palus <atler@pld-linux.org> d944244
- up to 1.14.1

* Sat Sep 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 6c73421
- package only interesting doxygen files
- openssl version with pkg-config support

* Sun Aug 30 2020 Jan Palus <atler@pld-linux.org> e4cc968
- rel 1

* Sun Aug 30 2020 Jan Palus <atler@pld-linux.org> 90f28cc
- Merge remote-tracking branch 'origin/DEVEL-1.12' into master

* Thu Aug 27 2020 Jan Palus <atler@pld-linux.org> fb01205
- add C: for libupnp1.6

* Wed Aug 26 2020 Jan Palus <atler@pld-linux.org> 9c3c3c9
- fractional release until legacy apps are handled

* Wed Aug 26 2020 Jan Palus <atler@pld-linux.org> 8f319c8
- up to 1.14.0

* Tue Mar 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 22e21b7
- updated to 1.12.0 (new libupnp soname)
- added openssl patch (fix for 1.1.x), enable openssl support

* Tue Mar 17 2020 Jakub Bogusz <qboosh@pld-linux.org> da998ec
- updated to 1.10.1 (new sonames)

* Tue Mar 17 2020 Jakub Bogusz <qboosh@pld-linux.org> bf63022
- updated to 1.8.6

* Tue Apr 23 2019 Jakub Bogusz <qboosh@pld-linux.org> dcfbcc0
- updated to 1.8.4 (ABI and API incompatible with 1.6.x)

* Tue Apr 23 2019 Jakub Bogusz <qboosh@pld-linux.org> e44fac5
- updated to 1.6.25
- separated -apidocs (html instead of pdf in this upstream release)

* Sat Jan 14 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 5b73143
- Update to 1.6.21 (fixes: CVE-2016-6255, CVE-2016-8863)

